# Dublin Core Metadata Element Set, Version 1.1 ontology

This package contains the terms from the Dublin Core Metadata Element Set, Version 1.1 ontology for JavaScript and TypeScript.

Namespace: [`http://purl.org/dc/elements/1.1/`](http://purl.org/dc/elements/1.1/)

LOV: [`https://lov.linkeddata.es/dataset/lov/vocabs/dce`](https://lov.linkeddata.es/dataset/lov/vocabs/dce)

Source: [`https://www.dublincore.org/2012/06/14/dcelements.ttl`](https://www.dublincore.org/2012/06/14/dcelements.ttl)


### About
This readme was automatically generated, for more information see the main [ontologies repository](https://github.com/ontola/ontologies).

The terms in this vocabulary are generated from their RDF representations which generally aren't the canonical definitions,
please refer to the specification for their canonical definitions.

#### Usage

With default export

```typescript
import * as dcelems from '@ontologies/dcelems'

console.log(dcelems.vocTerm) // { termType: 'NamedNode', value: "http://purl.org/dc/elements/1.1/vocTerm" }
```

With named exports

```typescript
import { vocTerm } from '@ontologies/dcelems'

console.log(vocTerm) // { termType: 'NamedNode', value: "http://purl.org/dc/elements/1.1/vocTerm" }
```

Use the `ns` function when missing a term or when using custom extensions

```typescript
import * as dcelems from '@ontologies/dcelems'

console.log(dcelems.ns('myTerm')) // { termType: 'NamedNode', value: "http://purl.org/dc/elements/1.1/myTerm" }
```

#### Statistics

Total term count: 15

Of which classes 0 (including data types)

Of which properties: 15

Other terms: 0
