"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.type = exports.title = exports.subject = exports.source = exports.rights = exports.relation = exports.publisher = exports.language = exports.identifier = exports.format = exports.description = exports.date = exports.creator = exports.coverage = exports.contributor = exports.ns = void 0;
var core_1 = require("@ontologies/core");
/** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
exports.ns = (0, core_1.createNS)("http://purl.org/dc/elements/1.1/");
/* Classes */
/* Properties */
/** An entity responsible for making contributions to the resource. */
exports.contributor = (0, exports.ns)("contributor");
/** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
exports.coverage = (0, exports.ns)("coverage");
/** An entity primarily responsible for making the resource. */
exports.creator = (0, exports.ns)("creator");
/** A point or period of time associated with an event in the lifecycle of the resource. */
exports.date = (0, exports.ns)("date");
/** An account of the resource. */
exports.description = (0, exports.ns)("description");
/** The file format, physical medium, or dimensions of the resource. */
exports.format = (0, exports.ns)("format");
/** An unambiguous reference to the resource within a given context. */
exports.identifier = (0, exports.ns)("identifier");
/** A language of the resource. */
exports.language = (0, exports.ns)("language");
/** An entity responsible for making the resource available. */
exports.publisher = (0, exports.ns)("publisher");
/** A related resource. */
exports.relation = (0, exports.ns)("relation");
/** Information about rights held in and over the resource. */
exports.rights = (0, exports.ns)("rights");
/** A related resource from which the described resource is derived. */
exports.source = (0, exports.ns)("source");
/** The topic of the resource. */
exports.subject = (0, exports.ns)("subject");
/** A name given to the resource. */
exports.title = (0, exports.ns)("title");
/** The nature or genre of the resource. */
exports.type = (0, exports.ns)("type");
/* Other terms */
