import { createNS } from "@ontologies/core";


/** Function to create arbitrary terms within the 'Dublin Core Metadata Element Set, Version 1.1' ontology */
export const ns = createNS("http://purl.org/dc/elements/1.1/");


/* Classes */


/* Properties */
/** An entity responsible for making contributions to the resource. */
export const contributor = /*#__PURE__*/ ns("contributor");
/** The spatial or temporal topic of the resource, the spatial applicability of the resource, or the jurisdiction under which the resource is relevant. */
export const coverage = /*#__PURE__*/ ns("coverage");
/** An entity primarily responsible for making the resource. */
export const creator = /*#__PURE__*/ ns("creator");
/** A point or period of time associated with an event in the lifecycle of the resource. */
export const date = /*#__PURE__*/ ns("date");
/** An account of the resource. */
export const description = /*#__PURE__*/ ns("description");
/** The file format, physical medium, or dimensions of the resource. */
export const format = /*#__PURE__*/ ns("format");
/** An unambiguous reference to the resource within a given context. */
export const identifier = /*#__PURE__*/ ns("identifier");
/** A language of the resource. */
export const language = /*#__PURE__*/ ns("language");
/** An entity responsible for making the resource available. */
export const publisher = /*#__PURE__*/ ns("publisher");
/** A related resource. */
export const relation = /*#__PURE__*/ ns("relation");
/** Information about rights held in and over the resource. */
export const rights = /*#__PURE__*/ ns("rights");
/** A related resource from which the described resource is derived. */
export const source = /*#__PURE__*/ ns("source");
/** The topic of the resource. */
export const subject = /*#__PURE__*/ ns("subject");
/** A name given to the resource. */
export const title = /*#__PURE__*/ ns("title");
/** The nature or genre of the resource. */
export const type = /*#__PURE__*/ ns("type");


/* Other terms */
